io.netty.handler.codec.redis

## Enum FixedRedisMessagePool.RedisErrorKey

- java.lang.Object
- - java.lang.Enum<FixedRedisMessagePool.RedisErrorKey>
  - - io.netty.handler.codec.redis.FixedRedisMessagePool.RedisErrorKey

All Implemented Interfaces:
  Serializable, Comparable<FixedRedisMessagePool.RedisErrorKey>

Enclosing class:
  FixedRedisMessagePool

    public static enum FixedRedisMessagePool.RedisErrorKey
    extends Enum<FixedRedisMessagePool.RedisErrorKey>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BUSY`
`BUSYKEY`
`ERR`
`ERR_IDX`
`ERR_NOKEY`
`ERR_SAMEOBJ`
`ERR_SYNTAX`
`EXECABORT`
`LOADING`
`MASTERDOWN`
`MISCONF`
`NOREPLICAS`
`NOSCRIPT`
`NOT_AUTH`
`OOM`
`READONLY`
`WRONGTYPE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static FixedRedisMessagePool.RedisErrorKey` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FixedRedisMessagePool.RedisErrorKey[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ERR

    public static final FixedRedisMessagePool.RedisErrorKey ERR

#### ERR_IDX

    public static final FixedRedisMessagePool.RedisErrorKey ERR_IDX

#### ERR_NOKEY

    public static final FixedRedisMessagePool.RedisErrorKey ERR_NOKEY

#### ERR_SAMEOBJ

    public static final FixedRedisMessagePool.RedisErrorKey ERR_SAMEOBJ

#### ERR_SYNTAX

    public static final FixedRedisMessagePool.RedisErrorKey ERR_SYNTAX

#### BUSY

    public static final FixedRedisMessagePool.RedisErrorKey BUSY

#### BUSYKEY

    public static final FixedRedisMessagePool.RedisErrorKey BUSYKEY

#### EXECABORT

    public static final FixedRedisMessagePool.RedisErrorKey EXECABORT

#### LOADING

    public static final FixedRedisMessagePool.RedisErrorKey LOADING

#### MASTERDOWN

    public static final FixedRedisMessagePool.RedisErrorKey MASTERDOWN

#### MISCONF

    public static final FixedRedisMessagePool.RedisErrorKey MISCONF

#### NOREPLICAS

    public static final FixedRedisMessagePool.RedisErrorKey NOREPLICAS

#### NOSCRIPT

    public static final FixedRedisMessagePool.RedisErrorKey NOSCRIPT

#### OOM

    public static final FixedRedisMessagePool.RedisErrorKey OOM

#### READONLY

    public static final FixedRedisMessagePool.RedisErrorKey READONLY

#### WRONGTYPE

    public static final FixedRedisMessagePool.RedisErrorKey WRONGTYPE

#### NOT_AUTH

    public static final FixedRedisMessagePool.RedisErrorKey NOT_AUTH

### Method Detail

#### values

    public static FixedRedisMessagePool.RedisErrorKey[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FixedRedisMessagePool.RedisErrorKey c : FixedRedisMessagePool.RedisErrorKey.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FixedRedisMessagePool.RedisErrorKey valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<FixedRedisMessagePool.RedisErrorKey>`